/*
 *  NSFrameView.h
 *  BorderView
 *
 *  Created by Dave Jewell on 05/06/2008.
 *  Copyright 2008 Dave Jewell. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>

@interface NSFrameView : NSView
{
	unsigned int styleMask;	// 80 = 0x50
	NSString *_title;	// 84 = 0x54
	NSCell *titleCell;	// 88 = 0x58
	NSButton *closeButton;	// 92 = 0x5c
	NSButton *zoomButton;	// 96 = 0x60
	NSButton *minimizeButton;	// 100 = 0x64
	BOOL resizeByIncrement;	// 104 = 0x68
	BOOL unused;	// 105 = 0x69
	unsigned char tabViewCount;	// 106 = 0x6a
	struct _NSSize resizeParameter;	// 108 = 0x6c
	int shadowState;	// 116 = 0x74
}

+ (void) initialize;
+ (void) initTitleCell: (NSCell *) cell styleMask: (unsigned) styleMask;
+ (NSRect) frameRectForContentRect: (NSRect) contentRect styleMask: (unsigned) styleMask;
+ (NSRect) contentRectForFrameRect: (NSRect) frameRect styleMask: (unsigned) styleMask;
+ (NSSize) minFrameSizeForMinContentSize: (NSSize) contentSize styleMask: (unsigned) styleMask;
+ (NSSize) minContentSizeForMinFrameSize: (NSSize) frameSize styleMask: (unsigned) styleMask;
+ (float) minFrameWidthWithTitle: (NSString *) title styleMask: (unsigned) styleMask;
+ (unsigned) _validateStyleMask: (unsigned) styleMask;

- (id)initWithFrame:(struct _NSRect)fp8 styleMask:(unsigned int)fp24 owner:(id)fp28;	// IMP=0x00016d72
- (id)initWithFrame:(struct _NSRect)fp8;	// IMP=0x004c5c8f
- (void)dealloc;	// IMP=0x00114897
- (void)shapeWindow;	// IMP=0x004c5ce3
- (void)tileAndSetWindowShape:(BOOL)fp8;	// IMP=0x00025926
- (void)tile;	// IMP=0x0015ff35
- (void)drawRect:(struct _NSRect)fp8;	// IMP=0x0010a2cf
- (void)_drawFrameRects:(struct _NSRect)fp8;	// IMP=0x004c5d67
- (void)drawFrame:(struct _NSRect)fp8;	// IMP=0x004c5d6c
- (void)drawThemeContentFill:(struct _NSRect)fp8 inView:(id)fp24;	// IMP=0x00073a84
- (void)drawWindowBackgroundRect:(struct _NSRect)fp8;	// IMP=0x000d466a
- (void)drawWindowBackgroundRegion:(void *)fp8;	// IMP=0x000748ff
- (float)contentAlpha;	// IMP=0x000fabd3
- (void)_windowChangedKeyState;	// IMP=0x000c8022
- (void)_updateButtonState;	// IMP=0x004c5d71
- (BOOL)_isSheet;	// IMP=0x003a1c12
- (BOOL)_isUtility;	// IMP=0x003a1c0b
- (void)setShadowState:(int)fp8;	// IMP=0x000a5c33
- (int)shadowState;	// IMP=0x000a59b3
- (BOOL)_canHaveToolbar;	// IMP=0x004c5d76
- (BOOL)_toolbarIsInTransition;	// IMP=0x001c2aa1
- (BOOL)_toolbarIsShown;	// IMP=0x004c5d7d
- (BOOL)_toolbarIsHidden;	// IMP=0x004c5d84
- (void)_showToolbarWithAnimation:(BOOL)fp8;	// IMP=0x004c5d8b
- (void)_hideToolbarWithAnimation:(BOOL)fp8;	// IMP=0x004c5d90
- (float)_distanceFromToolbarBaseToTitlebar;	// IMP=0x001c25a7
- (int)_shadowType;	// IMP=0x000a5879
- (unsigned int)_shadowFlags;	// IMP=0x000a5d61
- (void)_setShadowParameters;	// IMP=0x000a59be
- (void)_drawFrameShadowAndFlushContext:(id)fp8;	// IMP=0x000a5769
- (void)setUpGState;	// IMP=0x0010544c
- (void)adjustHalftonePhase;	// IMP=0x00105464
- (void)systemColorsDidChange:(id)fp8;	// IMP=0x004c5d95
- (id)frameColor;	// IMP=0x004c5db4
- (id)contentFill;	// IMP=0x0039db13
- (void)tabViewAdded;	// IMP=0x0005ae27
- (void)tabViewRemoved;	// IMP=0x001c090a
- (id)title;	// IMP=0x0002be4b
- (void)setTitle:(id)fp8;	// IMP=0x0002c666
- (id)titleCell;	// IMP=0x0002d327
- (void)initTitleCell:(id)fp8;	// IMP=0x0002e65b
- (void)setResizeIncrements:(struct _NSSize)fp8;	// IMP=0x0023fab2
- (NSSize) resizeIncrements;	
- (void)setAspectRatio:(struct _NSSize)fp8;	// IMP=0x004c5ec0
- (struct _NSSize)aspectRatio;	// IMP=0x004c5ed8
- (unsigned) styleMask;
- (id)representedFilename;	// IMP=0x0039d2ff
- (void)setRepresentedFilename:(id)fp8;	// IMP=0x004c5f18
- (void)setDocumentEdited:(BOOL)fp8;	// IMP=0x004c5f1d
- (void) _setFrameNeedsDisplay: (BOOL) display;
- (BOOL)frameNeedsDisplay;	// IMP=0x004c5f22
- (NSFont *) defaultTitleFont;
- (NSFont *) titleFont;
- (NSRect) _maxTitlebarTitleRect;
- (struct _NSRect)titlebarRect;	// IMP=0x004c5f6f
- (void)_setUtilityWindow:(BOOL)fp8;	// IMP=0x004c5fc6
- (void)_setNonactivatingPanel:(BOOL)fp8;	// IMP=0x000f83ff
- (void)setIsClosable:(BOOL)fp8;	// IMP=0x004c6014
- (void)setIsResizable:(BOOL)fp8;	// IMP=0x0033ec5a
- (NSButton *) closeButton;
- (NSButton *) minimizeButton;
- (id)zoomButton;	// IMP=0x0013027f
- (struct _NSSize)miniaturizedSize;	// IMP=0x004c6061
- (void)_clearDragMargins;	// IMP=0x000fc44c
- (struct _NSRect)_draggableFrame;	// IMP=0x004c60a4
- (void)_resetDragMargins;	// IMP=0x000fbde2
- (void)addSubview:(id)fp8;	// IMP=0x000200b0
- (void)setTitle:(id)fp8 andDefeatWrap:(BOOL)fp12;	// IMP=0x004c614e
- (struct _NSRect)frameRectForContentRect:(struct _NSRect)fp8 styleMask:(unsigned int)fp24;	// IMP=0x0012d290
- (struct _NSRect)contentRectForFrameRect:(struct _NSRect)fp8 styleMask:(unsigned int)fp24;	// IMP=0x0002993d
- (struct _NSSize)minFrameSizeForMinContentSize:(struct _NSSize)fp8 styleMask:(unsigned int)fp16;	// IMP=0x004c61a8
- (struct _NSRect)dragRectForFrameRect:(struct _NSRect)fp8;	// IMP=0x004c621c
- (struct _NSRect)contentRect;	// IMP=0x004c624a
- (struct _NSSize)minFrameSize;	// IMP=0x004c62a1

@end
