/*
 *  NSThemeFrame.h
 *  BorderView
 *
 *  Created by Dave Jewell on 05/06/2008.
 *  Copyright 2008 Dave Jewell. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>
#import "NSTitledFrame.h"

@interface NSThemeFrame : NSTitledFrame
{
	NSButton *toolbarButton;	// 136 = 0x88
	int toolbarVisibleStatus;	// 140 = 0x8c
	struct CGLayer *showToolbarTransitionLayer;	// 144 = 0x90
	struct _NSSize showToolbarPreWindowSize;	// 148 = 0x94
	NSButton *modeButton;	// 156 = 0x9c
	int leftGroupTrackingTagNum;	// 160 = 0xa0
	int rightGroupTrackingTagNum;	// 164 = 0xa4
	struct {
		unsigned int mouseInsideLeftGroup:1;
		unsigned int mouseInsideRightGroup:1;
		unsigned int bottomCornerRounded:2;
		unsigned int reserved:28;
	} _tFlags;	// 168 = 0xa8
	int widgetState;	// 172 = 0xac
	NSString *displayName;	// 176 = 0xb0
	NSButton *lockButton;	// 180 = 0xb4
	float topBorderThickness;	// 184 = 0xb8
	float bottomBorderThickness;	// 188 = 0xbc
}

+ (void)initialize;	// IMP=0x000132af
+ (void)drawBevel:(struct _NSRect)fp8 inFrame:(struct _NSRect)fp24 topCornerRounded:(BOOL)fp40 bottomCornerRounded:(BOOL)fp44 isHUD:(BOOL)fp48 isDarkWindow:(BOOL)fp52;	// IMP=0x003882aa
+ (void)drawBevel:(struct _NSRect)fp8 inFrame:(struct _NSRect)fp24 topCornerRounded:(BOOL)fp40 bottomCornerRounded:(BOOL)fp44;	// IMP=0x0061706c
+ (float)_windowBorderThickness:(unsigned int)fp8;	// IMP=0x0061748a
+ (float) _minXWindowBorderWidth: (unsigned int) styleMask;
+ (float)_maxXWindowBorderWidth:(unsigned int)fp8;	// IMP=0x000134c9
+ (float)_minYWindowBorderHeight:(unsigned int)fp8;	// IMP=0x00617491
+ (float)_windowTitlebarButtonSpacingWidth:(unsigned int)fp8;	// IMP=0x001937aa
+ (float)_windowFileButtonSpacingWidth:(unsigned int)fp8;	// IMP=0x00617498
+ (float)_minXTitlebarWidgetInset:(unsigned int)fp8;	// IMP=0x001937c9
+ (float)_maxXTitlebarWidgetInset:(unsigned int)fp8;	// IMP=0x006174a9
+ (float)minFrameWidthWithTitle:(id)fp8 styleMask:(unsigned int)fp12;	// IMP=0x001933dd
+ (float)_windowSideTitlebarTitleMinWidth:(unsigned int)fp8;	// IMP=0x00618d0f
+ (float)_windowTitlebarTitleMinHeight:(unsigned int)fp8;	// IMP=0x00013519
+ (float)_sideTitlebarWidth:(unsigned int)fp8;	// IMP=0x006174c8
+ (float)_titlebarHeight:(unsigned int)fp8;	// IMP=0x00013501
+ (float)_resizeHeight:(unsigned int)fp8;	// IMP=0x000134aa
+ (BOOL)_resizeFromEdge;	// IMP=0x002ae6b5
+ (struct _NSSize)sizeOfTitlebarButtons:(unsigned int)fp8;	// IMP=0x000241be
+ (float)_contentToFrameMinXWidth:(unsigned int)fp8;	// IMP=0x0001345a
+ (float)_contentToFrameMaxXWidth:(unsigned int)fp8;	// IMP=0x000134b1
+ (float)_contentToFrameMinYHeight:(unsigned int)fp8;	// IMP=0x00013492
+ (float)_contentToFrameMaxYHeight:(unsigned int)fp8;	// IMP=0x000134d0
+ (unsigned int)_validateStyleMask:(unsigned int)fp8;	// IMP=0x000b1ece
- (BOOL)_isDarkWindow;	// IMP=0x000faa16
- (float)roundedCornerRadius;	// IMP=0x000fa9dc
- (void) setBottomCornerRounded: (BOOL) rounded;
- (BOOL) bottomCornerRounded;
- (struct _NSSize)_topCornerSize;	// IMP=0x000fa92e
- (struct _NSSize)_bottomCornerSize;	// IMP=0x000faa37
- (void *)_createWindowOpaqueShape;	// IMP=0x000fa77f
- (void)shapeWindow;	// IMP=0x000f75da
- (void)_recursiveDisplayRectIfNeededIgnoringOpacity:(struct _NSRect)fp8 isVisibleRect:(BOOL)fp24 rectIsVisibleRectForView:(id)fp28 topView:(BOOL)fp32;	// IMP=0x00105bb1
- (struct _NSRect)overlayBounds;	// IMP=0x000a4a22
- (void)drawOverlayRect:(struct _NSRect)fp8;	// IMP=0x000a4c94
- (void *)_regionForOpaqueDescendants:(struct _NSRect)fp8 forMove:(BOOL)fp24;	// IMP=0x000fc558
- (void)_drawFrameInterior:(struct _NSRect *)fp8 clip:(struct _NSRect)fp12;	// IMP=0x0010add6
- (void)_setTextShadow:(BOOL)fp8;	// IMP=0x00616fd3
- (BOOL)_isOnePieceTitleAndToolbar;	// IMP=0x000fc41e
- (struct _NSRect)_separatorRectForInactiveWindow;	// IMP=0x003890de
- (void)_setFrameNeedsDisplay:(BOOL)fp8;	// IMP=0x000c7d5f
- (void)_drawUnifiedToolbarBackgroundInRect:(struct _NSRect)fp8 withState:(int)fp24;	// IMP=0x00618003
- (void)_drawUnifiedToolbar:(int)fp8;	// IMP=0x0010b8b0
- (void)_drawTitleBar:(struct _NSRect)fp8;	// IMP=0x0010ae48
- (void)_drawResizeIndicators:(struct _NSRect)fp8;	// IMP=0x000a4e24
- (void)_drawFrameRects:(struct _NSRect)fp8;	// IMP=0x00618dd5
- (void)drawFrame:(struct _NSRect)fp8;	// IMP=0x0010a8f5
- (BOOL)_isHUDWindow;	// IMP=0x000184e7
- (id)contentFill;	// IMP=0x00105683
- (void)viewDidEndLiveResize;	// IMP=0x001482cc
- (float) contentAlpha;
- (void)setThemeFrameWidgetState:(int)fp8;	// IMP=0x006170ec
- (BOOL)constrainResizeEdge:(unsigned int *)fp8 withDelta:(struct _NSSize)fp12 elapsedTime:(double)fp20;	// IMP=0x00617113
- (void)addFileButton:(id)fp8;	// IMP=0x0061711d
- (void)_updateButtons;	// IMP=0x00017f55
- (void)_updateButtonState;	// IMP=0x002a29db
- (id)newCloseButton;	// IMP=0x000185a5
- (id)newZoomButton;	// IMP=0x00022767
- (id)newMiniaturizeButton;	// IMP=0x00022e27
- (id)newToolbarButton;	// IMP=0x001df857
- (id)newLockButton;	// IMP=0x00617167
- (id)newFileButton;	// IMP=0x002166b4
- (void)_resetTitleBarButtons;	// IMP=0x006171ec
- (void)setDocumentEdited:(BOOL)fp8;	// IMP=0x0024e6c0
- (id)toolbarButton;	// IMP=0x0010fe6b
- (id)lockButton;	// IMP=0x0061730c
- (id)modeButton;	// IMP=0x0010fe79
- (id)initWithFrame:(struct _NSRect)fp8 styleMask:(unsigned int)fp24 owner:(id)fp28;	// IMP=0x00016bb0
- (void)setIsClosable:(BOOL)fp8;	// IMP=0x0061731a
- (void)setIsResizable:(BOOL)fp8;	// IMP=0x002655b1
- (void)dealloc;	// IMP=0x001147b3
- (void)finalize;	// IMP=0x00617372
- (BOOL)preservesContentDuringLiveResize;	// IMP=0x00147ac2
- (void)setFrameSize:(struct _NSSize)fp8;	// IMP=0x000f6bdc
- (BOOL)_canHaveToolbar;	// IMP=0x001cfe14
- (BOOL)_toolbarIsInTransition;	// IMP=0x000f6744
- (BOOL)_toolbarIsShown;	// IMP=0x001cfe3f
- (BOOL)_toolbarIsHidden;	// IMP=0x000c7ff7
- (id)_toolbarView;	// IMP=0x000fc3e3
- (id)_toolbar;	// IMP=0x001dee29
- (float)_distanceFromToolbarBaseToTitlebar;	// IMP=0x00026fa9
- (unsigned int)_shadowFlags;	// IMP=0x000a5c5b
- (struct _NSRect)frameRectForContentRect:(struct _NSRect)fp8 styleMask:(unsigned int)fp24;	// IMP=0x0012d1c4
- (struct _NSRect)contentRectForFrameRect:(struct _NSRect)fp8 styleMask:(unsigned int)fp24;	// IMP=0x00029871
- (struct _NSSize)minFrameSizeForMinContentSize:(struct _NSSize)fp8 styleMask:(unsigned int)fp16;	// IMP=0x006173f0
- (struct _NSRect)contentRect;	// IMP=0x0010a654
- (struct _NSRect)_contentRectExcludingToolbar;	// IMP=0x001df05c
- (struct _NSRect)_contentRectIncludingToolbarAtHome;	// IMP=0x001def9d
- (void)_setToolbarShowHideResizeWeightingOptimizationOn:(BOOL)fp8;	// IMP=0x001deee8
- (BOOL)_usingToolbarShowHideWeightingOptimization;	// IMP=0x000f8336
- (void)handleSetFrameCommonRedisplay;	// IMP=0x000f81fb
- (void)_startLiveResizeAsTopLevel;	// IMP=0x002bdcc8
- (void)_endLiveResizeAsTopLevel;	// IMP=0x00147f59
- (void)_growContentReshapeContentAndToolbarView:(int)fp8 animate:(BOOL)fp12;	// IMP=0x0061865c
- (BOOL)_growWindowReshapeContentAndToolbarView:(int)fp8 animate:(BOOL)fp12;	// IMP=0x001dda6b
- (void)_reshapeContentAndToolbarView:(int)fp8 resizeWindow:(BOOL)fp12 animate:(BOOL)fp16;	// IMP=0x001dd892
- (void)_toolbarFrameSizeChanged:(id)fp8 oldSize:(struct _NSSize)fp12;	// IMP=0x006182e7
- (void)_syncToolbarPosition;	// IMP=0x002a02d7
- (void)_showHideToolbar:(int)fp8 resizeWindow:(BOOL)fp12 animate:(BOOL)fp16;	// IMP=0x001dd1d0
- (void)_showToolbarWithAnimation:(BOOL)fp8;	// IMP=0x001dd0f7
- (void)_hideToolbarWithAnimation:(BOOL)fp8;	// IMP=0x001dfaa9
- (void)_drawToolbarTransitionIfNecessary;	// IMP=0x00074b19
- (void)_computeHeightOfTop:(BOOL)fp8 bottom:(BOOL)fp12;	// IMP=0x00026759
- (void)setContentBorderThickness:(float)fp8 forEdge:(int)fp12;	// IMP=0x0011bfdc
- (float)contentBorderThicknessForEdge:(int)fp8;	// IMP=0x0002697b
- (float)_topBarHeight;	// IMP=0x00026f33
- (float)_bottomBarHeight;	// IMP=0x000272d0
- (void)drawRect:(struct _NSRect)fp8;	// IMP=0x00109ad7
- (void)drawWindowBackgroundRect:(struct _NSRect)fp8;	// IMP=0x000d43f5
- (void)drawWindowBackgroundRegion:(void *)fp8;	// IMP=0x0007468c
- (BOOL)shouldBeTreatedAsInkEvent:(id)fp8;	// IMP=0x0061747c
- (BOOL)_shouldBeTreatedAsInkEventInInactiveWindow:(id)fp8;	// IMP=0x00617483
- (id)hitTest:(struct _NSPoint)fp8;	// IMP=0x0010faeb
- (void)cursorUpdate:(id)fp8;	// IMP=0x0024fac6
- (struct _NSRect)_leftGroupRect;	// IMP=0x00024546
- (struct _NSRect)_rightGroupRect;	// IMP=0x00024fd8
- (void)_updateWidgets;	// IMP=0x00025111
- (void)_updateMouseTracking;	// IMP=0x00024378
- (void)mouseEntered:(id)fp8;	// IMP=0x00225347
- (void)mouseExited:(id)fp8;	// IMP=0x0024b56a
- (void)_setMouseEnteredGroup:(BOOL)fp8 entered:(BOOL)fp12;	// IMP=0x000257cd
- (BOOL)_mouseInGroup:(id)fp8;	// IMP=0x00075b9a
- (struct _NSSize)miniaturizedSize;	// IMP=0x00617f9f
- (float)_minXTitlebarDecorationMinWidth;	// IMP=0x0007100c
- (float)_maxXTitlebarDecorationMinWidth;	// IMP=0x000711a0
- (struct _NSSize)minFrameSize;	// IMP=0x002bee41
- (float)_windowBorderThickness;	// IMP=0x006174e0
- (float)_windowTitlebarXResizeBorderThickness;	// IMP=0x006174e7
- (float)_windowTitlebarYResizeBorderThickness;	// IMP=0x006174ee
- (float)_windowResizeBorderThickness;	// IMP=0x006174f5
- (float)_minXWindowBorderWidth;	// IMP=0x00023610
- (float)_maxXWindowBorderWidth;	// IMP=0x00023617
- (float)_minYWindowBorderHeight;	// IMP=0x0010a8be
- (float)_maxYWindowBorderHeight;	// IMP=0x006174fc
- (float)_minYTitlebarButtonsOffset;	// IMP=0x00023718
- (float)_minYTitlebarTitleOffset;	// IMP=0x00617503
- (float)_sideTitlebarWidth;	// IMP=0x0061750a
- (float)_titlebarHeight;	// IMP=0x0002361e
- (struct _NSRect)_defaultTitlebarTitleRect;	// IMP=0x00069361
- (struct _NSRect)_titlebarTitleRect;	// IMP=0x00069239
- (struct _NSRect)titlebarRect;	// IMP=0x0002343e
- (float)_windowTitlebarTitleMinHeight;	// IMP=0x00617551
- (struct _NSSize)_sizeOfTitlebarFileButton;	// IMP=0x00617598
- (struct _NSSize)sizeOfTitlebarToolbarButton;	// IMP=0x0007121e
- (float)_windowTitlebarButtonSpacingWidth;	// IMP=0x00024202
- (float)_windowFileButtonSpacingWidth;	// IMP=0x00216a22
- (float)_minXTitlebarWidgetInset;	// IMP=0x00023665
- (float)_maxXTitlebarWidgetInset;	// IMP=0x0007126f
- (float)_minXTitlebarButtonsWidth;	// IMP=0x00071083
- (float)_maxXTitlebarButtonsWidth;	// IMP=0x000711b8
- (struct _NSPoint)_closeButtonOrigin;	// IMP=0x00023223
- (struct _NSPoint)_zoomButtonOrigin;	// IMP=0x0002423c
- (struct _NSPoint)_collapseButtonOrigin;	// IMP=0x00024037
- (struct _NSPoint)_toolbarButtonOrigin;	// IMP=0x001df8dc
- (struct _NSPoint)_lockButtonOrigin;	// IMP=0x00618435
- (struct _NSPoint)_fileButtonOrigin;	// IMP=0x002168cd
- (void)_tileTitlebarAndRedisplay:(BOOL)fp8;	// IMP=0x00022f92
- (struct _NSRect)_commandPopupRect;	// IMP=0x002187a9
- (struct _NSRect)_draggableFrame;	// IMP=0x000fc103
- (void)_resetDragMargins;	// IMP=0x0002598e
- (float)_maxYTitlebarDragHeight;	// IMP=0x006175a4
- (float)_minXTitlebarDragWidth;	// IMP=0x006175bc
- (float)_maxXTitlebarDragWidth;	// IMP=0x006175d4
- (float)_contentToFrameMinXWidth;	// IMP=0x0010a85a
- (float)_contentToFrameMaxXWidth;	// IMP=0x0010a8c5
- (float)_contentToFrameMinYHeight;	// IMP=0x0010a8a6
- (float)_contentToFrameMaxYHeight;	// IMP=0x0010a8dd
- (float)_windowResizeCornerThickness;	// IMP=0x006175ec
- (struct _NSRect)_minYResizeRect;	// IMP=0x006175f3
- (struct _NSRect)_minYminXResizeRect;	// IMP=0x002ae746
- (struct _NSRect)_minYmaxXResizeRect;	// IMP=0x002ae774
- (struct _NSRect)_minXResizeRect;	// IMP=0x00617621
- (struct _NSRect)_minXminYResizeRect;	// IMP=0x002ae6bc
- (struct _NSRect)_minXmaxYResizeRect;	// IMP=0x002ae6ea
- (struct _NSRect)_maxYResizeRect;	// IMP=0x0061764f
- (struct _NSRect)_maxYminXResizeRect;	// IMP=0x002ae7a2
- (struct _NSRect)_maxYmaxXResizeRect;	// IMP=0x002ae7d0
- (struct _NSRect)_maxXResizeRect;	// IMP=0x0061767d
- (struct _NSRect)_maxXminYResizeRect;	// IMP=0x00105ea9
- (struct _NSRect)_maxXmaxYResizeRect;	// IMP=0x002ae718
- (struct _NSRect)_minXTitlebarResizeRect;	// IMP=0x006176ab
- (struct _NSRect)_maxXTitlebarResizeRect;	// IMP=0x006176d9
- (struct _NSRect)_minXBorderRect;	// IMP=0x00617707
- (struct _NSRect)_maxXBorderRect;	// IMP=0x0061780c
- (struct _NSRect)_maxYBorderRect;	// IMP=0x006181c7
- (struct _NSRect)_minYBorderRect;	// IMP=0x0061783a
- (void)_invalidateTitleCellSize;	// IMP=0x00017f2e
- (void)_resetTitleFont;	// IMP=0x00617949
- (void)_setUtilityWindow:(BOOL)fp8;	// IMP=0x0035f3aa
- (BOOL)_isUtility;	// IMP=0x000236c5
- (float)_sheetHeightAdjustment;	// IMP=0x00140c30
- (void)_setSheet:(BOOL)fp8;	// IMP=0x00140687
- (BOOL)_isSheet;	// IMP=0x000184ae
- (BOOL)_isResizable;	// IMP=0x000228a4
- (BOOL)_isClosable;	// IMP=0x00018515
- (BOOL)_isMiniaturizable;	// IMP=0x00022eac
- (BOOL)_hasToolbar;	// IMP=0x00018542
- (struct _NSRect)_growBoxRect;	// IMP=0x00126493
- (void)_drawGrowBoxWithClip:(struct _NSRect)fp8;	// IMP=0x000a4e88
- (BOOL)_inactiveButtonsNeedMask;	// IMP=0x006179b0
- (BOOL)_mouseInPopupRect:(id)fp8;	// IMP=0x006179ba
- (BOOL)_mouseInTitleRect:(id)fp8;	// IMP=0x00617a84
- (void)mouseDown:(id)fp8;	// IMP=0x002adb97
- (void)rightMouseDown:(id)fp8;	// IMP=0x00617b4e
- (id)menu;	// IMP=0x00617be3
- (id)menuForEvent:(id)fp8;	// IMP=0x00617cb0
- (id)_displayName;	// IMP=0x003ac719
- (void)_setDisplayName:(id)fp8;	// IMP=0x00217f93
- (BOOL)_shouldRepresentFilename;	// IMP=0x00617e6e
- (BOOL)_shouldShowDocumentIcon;	// IMP=0x00022f24
- (void)setRepresentedURL:(id)fp8;	// IMP=0x000c5c2f
- (void)setRepresentedFilename:(id)fp8;	// IMP=0x00617ef2

@end
