/*
 *  NSTitledFrame.h
 *  BorderView
 *
 *  Created by Dave Jewell on 05/06/2008.
 *  Copyright 2008 Dave Jewell. All rights reserved.
 *
 */

#import <Cocoa/Cocoa.h>
#import "NSFrameView.h"

@class NSDocumentDragButton;

@interface NSTitledFrame : NSFrameView
{
	int resizeFlags;	// 120 = 0x78
	NSDocumentDragButton *fileButton;	// 124 = 0x7c
	struct _NSSize titleCellSize;	// 128 = 0x80
}

+ (void)initialize;	// IMP=0x00012596
+ (float)_windowBorderThickness:(unsigned int)fp8;	// IMP=0x0061b2cf
+ (float)_minXWindowBorderWidth:(unsigned int)fp8;	// IMP=0x0061b2ea
+ (float)_maxXWindowBorderWidth:(unsigned int)fp8;	// IMP=0x0061b331
+ (float)_minYWindowBorderHeight:(unsigned int)fp8;	// IMP=0x0061b378
+ (BOOL)_resizeFromEdge;	// IMP=0x0061b3bf
+ (struct _NSRect)frameRectForContentRect:(struct _NSRect)fp8 styleMask:(unsigned int)fp24;	// IMP=0x00013315
+ (struct _NSRect)contentRectForFrameRect:(struct _NSRect)fp8 styleMask:(unsigned int)fp24;	// IMP=0x00014a16
+ (struct _NSSize)minFrameSizeForMinContentSize:(struct _NSSize)fp8 styleMask:(unsigned int)fp16;	// IMP=0x0012d693
+ (struct _NSSize)minContentSizeForMinFrameSize:(struct _NSSize)fp8 styleMask:(unsigned int)fp16;	// IMP=0x0061b3c6
+ (float)minFrameWidthWithTitle:(id)fp8 styleMask:(unsigned int)fp12;	// IMP=0x0061b4a6
+ (struct _NSSize)_titleCellSizeForTitle:(id)fp8 styleMask:(unsigned int)fp12;	// IMP=0x00193569
+ (float)_titleCellHeight:(unsigned int)fp8;	// IMP=0x0061b683
+ (float)_windowTitlebarTitleMinHeight:(unsigned int)fp8;	// IMP=0x0061b6c2
+ (float)_titlebarHeight:(unsigned int)fp8;	// IMP=0x0061b709
+ (struct _NSSize)sizeOfTitlebarButtons:(unsigned int)fp8;	// IMP=0x0061d516
+ (float)windowTitlebarLinesSpacingWidth:(unsigned int)fp8;	// IMP=0x0061b7e4
+ (float)windowTitlebarTitleLinesSpacingWidth:(unsigned int)fp8;	// IMP=0x0061b803
+ (float)_contentToFrameMinXWidth:(unsigned int)fp8;	// IMP=0x0061b80a
+ (float)_contentToFrameMaxXWidth:(unsigned int)fp8;	// IMP=0x0061b851
+ (float)_contentToFrameMinYHeight:(unsigned int)fp8;	// IMP=0x0061b898
+ (float)_contentToFrameMaxYHeight:(unsigned int)fp8;	// IMP=0x0061b8df
- (void)dealloc;	// IMP=0x00114844
- (BOOL)isOpaque;	// IMP=0x00100adb
- (BOOL)worksWhenModal;	// IMP=0x00619db9
- (void)propagateFrameDirtyRects:(struct _NSRect)fp8;	// IMP=0x00619dda
- (void)_showDrawRect:(struct _NSRect)fp8;	// IMP=0x0061a341
- (id)frameHighlightColor;	// IMP=0x0061a6b8
- (id)frameShadowColor;	// IMP=0x0061a7c4
- (void)setFrameOrigin:(struct _NSPoint)fp8;	// IMP=0x0061a8d0
- (void)tileAndSetWindowShape:(BOOL)fp8;	// IMP=0x000258b1
- (void)tile;	// IMP=0x0061a8d5
- (void)setTitle:(id)fp8;	// IMP=0x0002be56
- (void)_drawTitleStringIn:(struct _NSRect)fp8 withColor:(id)fp24;	// IMP=0x00068fba
- (id)titleFont;	// IMP=0x0002e8b5
- (id)titleButtonOfClass:(Class)fp8;	// IMP=0x0061a905
- (id)initTitleButton:(id)fp8;	// IMP=0x0061a9cd
- (id)newCloseButton;	// IMP=0x0061aad1
- (id)newZoomButton;	// IMP=0x0061ac15
- (id)newMiniaturizeButton;	// IMP=0x0061ad59
- (id)newFileButton;	// IMP=0x0061ae9d
- (id)fileButton;	// IMP=0x0021874b
- (BOOL)_eventInTitlebar:(id)fp8;	// IMP=0x0061afbc
- (BOOL)acceptsFirstMouse:(id)fp8;	// IMP=0x002d02ff
- (void)mouseDown:(id)fp8;	// IMP=0x002adc3e
- (void)mouseUp:(id)fp8;	// IMP=0x002ae7fe
- (unsigned int)resizeEdgeForEvent:(id)fp8;	// IMP=0x002add02
- (struct _NSSize)_resizeDeltaFromPoint:(struct _NSPoint)fp8 toEvent:(id)fp16;	// IMP=0x002be6c5
- (struct _NSRect)_validFrameForResizeFrame:(struct _NSRect)fp8 fromResizeEdge:(unsigned int)fp24;	// IMP=0x002bece5
- (struct _NSRect)frame:(struct _NSRect)fp8 resizedFromEdge:(unsigned int)fp24 withDelta:(struct _NSSize)fp28;	// IMP=0x002be74d
- (void)resizeWithEvent:(id)fp8;	// IMP=0x002bd4d6
- (int)resizeFlags;	// IMP=0x0061b0df
- (void)setDocumentEdited:(BOOL)fp8;	// IMP=0x0061b0ea
- (struct _NSSize)miniaturizedSize;	// IMP=0x0061b932
- (struct _NSSize)minFrameSize;	// IMP=0x0061b9d4
- (float)_windowBorderThickness;	// IMP=0x0061ba7e
- (float)_windowTitlebarXResizeBorderThickness;	// IMP=0x0061bab4
- (float)_windowTitlebarYResizeBorderThickness;	// IMP=0x0061baf4
- (float)_windowResizeBorderThickness;	// IMP=0x0061bb40
- (float)_minXWindowBorderWidth;	// IMP=0x0061bb94
- (float)_maxXWindowBorderWidth;	// IMP=0x0061bbd4
- (float)_minYWindowBorderHeight;	// IMP=0x0061bc14
- (id)_customTitleCell;	// IMP=0x0002d2c5
- (void)_invalidateTitleCellWidth;	// IMP=0x0002c76f
- (float)_titleCellHeight;	// IMP=0x0061bc54
- (struct _NSSize)_titleCellSize;	// IMP=0x0006964f
- (float)_titlebarHeight;	// IMP=0x0061bcf7
- (struct _NSRect)titlebarRect;	// IMP=0x0061d79e
- (struct _NSRect)_maxTitlebarTitleRect;	// IMP=0x00070f12
- (struct _NSRect)_titlebarTitleRect;	// IMP=0x0061bd9a
- (float)_windowTitlebarTitleMinHeight;	// IMP=0x0061bdc8
- (struct _NSRect)dragRectForFrameRect:(struct _NSRect)fp8;	// IMP=0x000f9681
- (struct _NSSize)sizeOfTitlebarButtons;	// IMP=0x0002415f
- (struct _NSSize)_sizeOfTitlebarFileButton;	// IMP=0x0061be08
- (float)_windowTitlebarButtonSpacingWidth;	// IMP=0x0061be17
- (float)_minXTitlebarButtonsWidth;	// IMP=0x0061be4d
- (float)_maxXTitlebarButtonsWidth;	// IMP=0x0061be9c
- (float)windowTitlebarLinesSpacingWidth;	// IMP=0x0061bf13
- (float)windowTitlebarTitleLinesSpacingWidth;	// IMP=0x0061bf4d
- (float)_minLinesWidthWithSpace;	// IMP=0x0061bf54
- (struct _NSPoint)_closeButtonOrigin;	// IMP=0x0061d8bb
- (struct _NSPoint)_zoomButtonOrigin;	// IMP=0x0061dc76
- (struct _NSPoint)_collapseButtonOrigin;	// IMP=0x0061db18
- (struct _NSPoint)_fileButtonOrigin;	// IMP=0x0061d9d7
- (float)_maxYTitlebarDragHeight;	// IMP=0x0061bfbf
- (float)_minXTitlebarDragWidth;	// IMP=0x0061c00b
- (float)_maxXTitlebarDragWidth;	// IMP=0x0061c04b
- (float)_contentToFrameMinXWidth;	// IMP=0x0061c08b
- (float)_contentToFrameMaxXWidth;	// IMP=0x0061c0cb
- (float)_contentToFrameMinYHeight;	// IMP=0x0061c10b
- (float)_contentToFrameMaxYHeight;	// IMP=0x0061c14b
- (struct _NSRect)contentRect;	// IMP=0x0010a706
- (float)_windowResizeCornerThickness;	// IMP=0x0061c197
- (struct _NSRect)_minYResizeRect;	// IMP=0x0061c1d1
- (struct _NSRect)_minYminXResizeRect;	// IMP=0x0061c2e6
- (struct _NSRect)_minYmaxXResizeRect;	// IMP=0x0061c3ff
- (struct _NSRect)_minXResizeRect;	// IMP=0x0061c518
- (struct _NSRect)_minXminYResizeRect;	// IMP=0x0061c625
- (struct _NSRect)_minXmaxYResizeRect;	// IMP=0x0061c79a
- (struct _NSRect)_maxYResizeRect;	// IMP=0x0061c8fa
- (struct _NSRect)_maxYminXResizeRect;	// IMP=0x0061ca07
- (struct _NSRect)_maxYmaxXResizeRect;	// IMP=0x0061cb18
- (struct _NSRect)_maxXResizeRect;	// IMP=0x0061cc29
- (struct _NSRect)_maxXminYResizeRect;	// IMP=0x0061cd3e
- (struct _NSRect)_maxXmaxYResizeRect;	// IMP=0x0061cebf
- (struct _NSRect)_minXTitlebarResizeRect;	// IMP=0x0061d027
- (struct _NSRect)_maxXTitlebarResizeRect;	// IMP=0x0061d187
- (struct _NSRect)_minXBorderRect;	// IMP=0x0061d2ef
- (struct _NSRect)_maxXBorderRect;	// IMP=0x0061d53e
- (struct _NSRect)_maxYBorderRect;	// IMP=0x0061d634
- (struct _NSRect)_minYBorderRect;	// IMP=0x0061d3d3

@end

